Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 5 Current »

XNAT Compatibility Note

Each release of the Dicom Query-Retrieve plugin is dependent on the version of core XNAT that you are running. For example, version 1.0 of the DQR plugin requires XNAT 1.7.6 or later. 


Installing the DQR plugin follows the same process as installing any other XNAT plugin, with one exception. The DQR plugin jar includes several dependent libraries, and is packaged as a "fatJar". There are two ways of getting the appropriate jar file: 

  1. Download the latest release from Bitbucket: https://bitbucket.org/xnatdev/dicom-query-retrieve/downloads
  2. Build your own jar file from a local clone of the DQR plugin repo: https://bitbucket.org/xnatdev/dicom-query-retrieve

If you choose to build your own jar file, run the following command from inside the plugin repo's root directory: 

$ ./gradlew clean fatJar

Once you have the plugin jar file, you can follow the standard process for Deploying Plugins in XNAT.

When your plugin is successfully installed, you should see a set of new Admin UI controls in XNAT under Administer > Plugin Settings > DICOM Query Retrieve

  • No labels